1.2

1.2

put /v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Description

request privatelink endpoint

State ACTIVE (CURRENT)

VersionSupported Until
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathcloud_function_id
required
Cloud Functions ID
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
pathendpoint_id
required
Endpoint Id
Example : 8c9f6c1c928a45b4bbd1e4da5531d656
stringNone
bodybody
required

PrivateLinkEndpointRequest

Responses

HTTP CodeDescriptionSchema
200OKPrivateLinkEndpoint
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/cloud-functions/{cloud_function_id}/configurations/privatelink-endpoints/{endpoint_id}/request

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scf 1.2"

Request body

{
    "type": "CANCEL"
}

Example HTTP response

Response 200

{
    "endpoint": {
        "endpoint_alias": "sample",
        "endpoint_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "service_id": "8c9f6c1c928a45b4bbd1e4da5531d656",
        "state": "Active"
    }
}